Subject: Re: [RFC] remove netpoll receive code

From: Andrew Morton <[email-masked]>
Date: Thu, 18 Oct 2007 00:02:44 -0700

On Wed, 17 Oct 2007 23:28:38 -0700 (PDT) David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 17 Oct 2007 13:21:31 -0700
> 
> > I propose that we take out all the whole netpoll rx path. If/when
> > kgdb gets submitted a better and alternative receive path can be
> > added.
> 
> I would like to kill the RX side handling of netpoll too,
> but I don't think that's reasonable as kgdb is actively
> being pushed for 2.6.25 inclusion.
> 
> Andrew is likely to add it to his -mm tree soon and therefore kgdb
> will need to work properly now.

git-kgdb.patch has been in there for ages - maybe a year.  Although I
disabled it a week or so ago due to the sheer number of rejects.  Will
bring it back when things settle down a bit.

> The RX netpoll thing has a long precedence, it's been in the tree for
> a long time, so we are in some ways stuck with it until we have a
> complete replacement facility.  That means we can't yank it out first
> and implement the replacement later.